/* sb card common styles START here */
::ng-deep :root {
    --cc-sbcard-bg: var(--white);
    --cc-sbcard-img-container-bg: var(--gray-100);
    --cc-sbcard-title: var(--primary-color);
    --cc-sbcard-meta-text: var(--gray-800);
    --cc-sbcard-dot-divider: var(--gray-200);
    --cc-sbcard-moreinfo-bg: none;
    --cc-sbcard-moreinfo-bordertop: #cacbce;
    --cc-sbcard-meta2-text: var(--gray-800);
    --cc-sbcard-org-text: var(--gray-200);
    --cc-sbcard-type-bg: var(--gray-200);
    --cc-sbcard-type-text: var(--white);
    --cc-sbcard-rv-img-container-bg: var(--gray-100);
    --cc-sbcard-selected-border: var(--primary-color);
    --cc-sbcard-selected-bg: rgba(2, 79, 157, 0.2);
    --cc-sbcard-offline-bg: var(--tertiary-color);
    --cc-sbcard-offline-img-text: var(--white);
    --cc-sbcard-type-br: var(--gray-200);
  }
  
  /* sb card component css */
  ::ng-deep {
  .sb--card {
    width: 100%;
    background-color: var(--cc-sbcard-bg);
    display: flex;
    flex-direction: column;
    cursor: pointer;
    position: relative;
    margin-top: 0px;
    border: 0px;
    contain: content;
    border-radius: 0.125rem;
    /* recently viewed card css */
    /* offline card css */
  }
  .sb--card:hover {
    transform: translate(0, 0px);
    box-shadow: 0 0.125rem 0.4375rem 0 rgba(var(--rc-rgba-black), 0.16);
  }
  @media (max-width: 767px) {
    .sb--card {
      box-shadow: 0 0.125rem 0.4375rem rgba(var(--rc-rgba-black), 0.16);
    }
  }
  .sb--card__main-area {
    display: flex;
    flex-direction: row;
    align-items: center;
    height: 5.5rem;
  }
  .sb--card__img {
    height: 4.5rem;
    width: 4.5rem;
    overflow: hidden;
    flex: 0 0 4.5rem;
    margin: 0.5rem;
  }
  .sb--card__img .img-container {
    display: flex;
    align-items: center;
    background-color: var(--cc-sbcard-img-container-bg);
    height: 4.5rem;
    width: 4.5rem;
    justify-content: center;
  }
  .sb--card__img .img-container img {
    max-width: 100%;
  }
  .sb--card__info {
    flex: 1;
    overflow: hidden;
  }
  [dir=ltr] .sb--card__info {
    padding-right: 0.5rem;
  }
  
  [dir=rtl] .sb--card__info {
    padding-left: 0.5rem;
  }
  
  .sb--card__title {
    color: var(--cc-sbcard-title);
    font-size: 0.875rem;
    margin: 0px;
    line-height: normal;
  }
  .sb--card__meta1 {
    color: var(--cc-sbcard-meta-text);
    font-size: 0.75rem;
    display: flex;
    flex-direction: row;
    align-items: center;
    flex: 1;
    line-height: 1.25rem;
    margin-top: 0.25rem;
  }
  .sb--card .data_1 {
    max-width: 50%;
  }
  .sb--card .data_2 {
    flex: 1;
  }
  .sb--card .dot-divider {
    width: 0.25rem;
    height: 0.25rem;
    min-width: 0.25rem;
    max-width: 0.25rem;
    min-height: 0.25rem;
    max-height: 0.25rem;
    border-radius: 100%;
    background-color: var(--cc-sbcard-dot-divider);
    display: inline-block;
    margin: 0px 0.5rem;
  }
  .sb--card__moreinfo {
    border-radius: 0 0 0.125rem 0.125rem;
    background-color: var(--cc-sbcard-moreinfo-bg);
    display: flex;
    flex-direction: row;
    align-items: stretch;
    justify-content: space-between;
    border-top: 0px solid var(--cc-sbcard-moreinfo-bordertop);
  }
  .sb--card__meta2 {
    color: var(--cc-sbcard-meta2-text);
    font-size: 0.75rem;
    line-height: 0.875rem;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: space-around;
    padding: 0.5rem;
  }
  .sb--card__meta2_data .label {
    font-weight: normal;
  }
  .sb--card__meta2_data .value {
    font-weight: bold;
  }
  .sb--card__org {
    color: var(--cc-sbcard-org-text);
  }
  .sb--card__tags {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-end;
    flex: 1;
  }
  .sb--card__badge {
    display: flex;
    margin-right: 0.5rem;
  }
  html[dir=rtl] .sb--card__badge {
    margin-right: 0;
    margin-left: 0.5rem;
  }
  .sb--card__badge img {
    width: 1.25rem;
    height: 1.25rem;
  }
  .sb--card__type {
    background: var(--cc-sbcard-type-bg);
    position: relative;
    height: 1.25rem;
    color: var(--cc-sbcard-type-text);
    font-size: 0.6875rem;
    display: flex;
    align-items: center;
    padding: 0 0.5rem 0 0.5rem;
    margin: 0 0 0 0.5rem;
  }
  html[dir=rtl] .sb--card__type {
    margin: 0 0.5rem 0 0rem;
  }
  .sb--card__type::before {
    content: "";
    width: 0;
    height: 0;
    border-width: 0.625rem 0.3125rem;
    border-style: solid;
    border-color: var(--cc-sbcard-type-br) var(--cc-sbcard-type-br) var(--cc-sbcard-type-br) transparent;
    position: absolute;
    left: -0.625rem;
  }
  html[dir=rtl] .sb--card__type::before {
    right: -0.625rem;
    left: inherit;
    border-color: var(--cc-sbcard-type-br) transparent var(--cc-sbcard-type-br) var(--cc-sbcard-type-br);
  }
  .sb--card--recently-viewed .sb--card__img {
    height: 5.5rem;
    width: 5.5rem;
    flex: 0 0 5.5rem;
    margin: 0;
  }
  .sb--card--recently-viewed .sb--card__img .img-container {
    display: flex;
    align-items: center;
    background-color: var(--cc-sbcard-rv-img-container-bg);
    height: 5.5rem;
    width: 5.5rem;
    border-radius: 0rem;
  }
  .sb--card--recently-viewed .sb--card__info {
    padding: 0.5rem;
  }
  .sb--card.selected {
    border: 0.063rem solid var(--cc-sbcard-selected-border);
    border-radius: 0.25rem;
    background-color: var(--cc-sbcard-selected-bg);
  }
  .sb--card.offline .sb--card__img .img-container {
    display: flex;
    align-items: center;
    background-color: var(--cc-sbcard-offline-bg);
    opacity: 0.5;
  }
  .sb--card.offline .sb--card__img .img-container img {
    margin: auto;
    font-size: 1.5rem;
    color: var(--cc-sbcard-offline-img-text);
  }
  .sb--card.offline .sb--card__info,
  .sb--card.offline .sb--card__moreinfo {
    opacity: 0.5;
  }
  
  .animate > span:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background-image: -webkit-gradient(linear, 0 0, 100% 100%, color-stop(0.25, rgba(var(--rc-rgba-white), 0.2)), color-stop(0.25, transparent), color-stop(0.5, transparent), color-stop(0.5, rgba(var(--rc-rgba-white), 0.2)), color-stop(0.75, rgba(var(--rc-rgba-white), 0.2)), color-stop(0.75, transparent), to(transparent));
    z-index: 1;
    background-size: 3.125rem 3.125rem;
    border-top-right-radius: 0.5rem;
    border-bottom-right-radius: 0.5rem;
    border-top-left-radius: 1.25rem;
    border-bottom-left-radius: 1.25rem;
    overflow: hidden;
    -webkit-animation: move 2s linear infinite;
  }
  
  @-webkit-keyframes move {
    0% {
      background-position: 0 0;
    }
    100% {
      background-position: 3.125rem 3.125rem;
    }
  }
  .completed > span {
    background-color: var(--secondary-color);
    background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0, var(--secondary-100)), color-stop(1, var(--secondary-400)));
    background-image: -webkit-linear-gradient(var(--secondary-100), var(--secondary-400));
  }
  
  .inprogress > span {
    background-color: var(--tertiary-color);
    background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0, var(--tertiary-100)), color-stop(1, var(--tertiary-400)));
    background-image: -webkit-linear-gradient(var(--tertiary-100), var(--tertiary-400));
  }
  
  .notcompleted > span {
    background-color: var(--red-100);
    background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0, var(--red-100)), color-stop(1, var(--red-400)));
    background-image: -webkit-linear-gradient(var(--red-100), var(--red-400));
  }
  
  .nostripes > span,
  .nostripes > span:after {
    -webkit-animation: none;
    -moz-animation: none;
    background-image: none;
  }
  
  .card-hover {
    opacity: 0;
    transition: all 0.2s ease-in;
    display: none;
  }
  
  .sb--card:hover .card-hover,
  .sb--card:focus-within .card-hover {
    opacity: 1;
    z-index: 1001;
    display: block;
  }
  .sb--card:hover .card-hover .child-content,
  .sb--card:focus-within .card-hover .child-content {
    --cc-sbcard-hover-text: var(--white);
    --cc-sbcard-hover-bg: var(--primary-color);
    color: var(--cc-sbcard-hover-text);
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    opacity: 0.95;
    border-radius: 0.125rem;
    background-color: var(--cc-sbcard-hover-bg);
    z-index: 1;
    display: flex;
    align-items: center;
    transition: 0.2s ease-in;
    flex-direction: column;
    justify-content: space-evenly;
  }
  
  a.menu::after {
    content: '\2807';;
    font-size: 1.5rem;
    color: var(--gray-200);
    text-align: center;
    align-items: center;
    display: flex;
    justify-content: center;
    border-radius: 50%;
    padding-left: 0.375rem;
    cursor: pointer;
    width: 2rem;
    height: 2rem;
  }
  a.menu:hover {
    text-decoration: none;
  }
  a.menu:hover::after {
    background: var(--gray-0);
  }
  .sb--card {
    border-radius: 0.125rem;
  }
  
  .sb--card--course .sb--card__meta1 {
    --cc-sbcard-meta1:var(--gray-400);
    color: var(--cc-sbcard-meta1);
    line-height: 1rem;
  }
  .sb--card--course .sb--card__meta_c_data {
    --cc-sbcard-metaC-data:var(--rc-FAFAFA);
    min-height: 2rem;
    padding: 0.5rem;
    background-color: var(--cc-sbcard-metaC-data);
    font-size: 0.8rem;
  }
  .sb--card--course .data_1 {
    max-width: 100% !important;
  }
  ::ng-deep :root {
    --cc-sbcard-card__progressbar-bg: var(--gray-100);
    --cc-sbcard-card__progressbar-span-bg: var(--secondary-200);
  }
  
  .sb--card--course .sb--container-box {
    min-width: 0;
    flex: 1;
    padding-right: 0.5rem;
    height: 100%;
    display: flex;
    justify-content: center;
    flex-direction: column;
  }
  html[dir=rtl] .sb--card--course .sb--container-box {
    padding-right: inherit;
    padding-left: 0.5rem;
  }
  .sb--card--course .sb--container-box .sb--card__info {
    padding: 0rem 0rem 0rem 0rem;
    display: flex;
    align-items: center;
  }
  .sb--card--course .sb--container-box .sb--holder {
    flex: 1;
    min-width: 0;
  }
  
  .sb--card--course.sb--card--recently-viewed .sb--container-box {
    padding: 0.5rem !important;
  }
  .sb--card--course.sb--card--recently-viewed .sb--card__meta_c_data {
    min-height: 1rem !important;
  }
  
  .sb--card__meta_c_data_external {
    min-height: 1rem;
    padding: 0.1rem;
    font-size: 0.8rem;
  }
  
  .sb--card__progressbar {
    height: 0.25rem;
    margin: 0px 0 0px;
    border-radius: 0px;
    box-shadow: inset 0 -0.0625rem 0.0625rem rgba(var(--rc-rgba-white), 0.3);
    width: 100%;
    background: var(--cc-sbcard-card__progressbar-bg);
  }
  .sb--card__progressbar > span {
    display: block;
    height: 100%;
    background-color: var(--cc-sbcard-card__progressbar-span-bg);
    background-image: -webkit-gradient(center bottom, var(--secondary-400), var(--secondary-200));
    box-shadow: inset 0 0.125rem 0.5625rem var(--gray-100), inset 0 -0.125rem 0.375rem rgba(var(--rc-rgba-black), 0.4);
    position: relative;
    overflow: hidden;
  }
}